export function compileType3Glyph({ data: img, width, height }: {
    data: any;
    width: any;
    height: any;
}): (number | Float32Array<ArrayBuffer> | Float32Array<ArrayBuffer>[])[] | null;
export namespace FontFlags {
    let FixedPitch: number;
    let Serif: number;
    let Symbolic: number;
    let Script: number;
    let Nonsymbolic: number;
    let Italic: number;
    let AllCap: number;
    let SmallCap: number;
    let ForceBold: number;
}
export const getVerticalPresentationForm: () => any;
export const MacStandardGlyphOrdering: string[];
export function normalizeFontName(name: any): any;
export function recoverGlyphName(name: any, glyphsUnicodeMap: any): any;
export const SEAC_ANALYSIS_ENABLED: true;
/**
 * Shared logic for building a char code to glyph id mapping for Type1 and
 * simple CFF fonts. See section 9.6.6.2 of the spec.
 * @param {Object} properties Font properties object.
 * @param {Object} builtInEncoding The encoding contained within the actual font
 *   data.
 * @param {Array} glyphNames Array of glyph names where the index is the
 *   glyph ID.
 * @returns {Object} A char code to glyph ID map.
 */
export function type1FontGlyphMapping(properties: Object, builtInEncoding: Object, glyphNames: any[]): Object;
